Subject: bug#78818: closed (Re: bug#78818: 31.0.50; Missing lexical-binding cookies when compiling trampolines)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 05 Jul 2025 09:26:02 +0000

Your bug report

#78818: 31.0.50; Missing lexical-binding cookies when compiling trampolines

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
78818: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=78818
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#78818: 31.0.50; Missing lexical-binding cookies when compiling trampolines
From: Eli Zaretskii <[email-masked]>
To: Daniel Mendler <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Sat, 05 Jul 2025 12:25:09 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Daniel Mendler <[email-masked]>
> Cc: Andrea Corallo <[email-masked]>,  [email-masked]
> Date: Sat, 05 Jul 2025 10:02:42 +0200
> 
> I will check if the issue still occurs when I recompile Emacs the next
> time. Andreas fix looks correct, since it adds the missing cookie. From
> my side the issue can be closed. Thanks!

Thanks, closing.  Pleasereopen if you find the bug still not solved.

Subject: 31.0.50; Missing lexical-binding cookies when compiling trampolines
From: Daniel Mendler <[email-masked]>
To: [email-masked]
Date: Tue, 17 Jun 2025 20:38:20 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

In the *Native-compile-Log* I see the following messages on a newly
compiled Emacs 31 from the current Emacs master branch:

Warning (files): Missing ‘lexical-binding’ cookie in "/tmp/emacs-int-comp-subr--trampoline-72756e2d686f6f6b73_run_hooks_0-ZQkOM2.el".
You can add one with ‘M-x elisp-enable-lexical-binding RET’.
See ‘(elisp)Selecting Lisp Dialect’ and ‘(elisp)Converting to Lexical Binding’
for more information.
Compiling $HOME/.config/emacs/eln-cache/31.0.50-45ab2aa9/subr--trampoline-72756e2d686f6f6b73_run_hooks_0.eln...

In GNU Emacs 31.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version
 3.24.49, cairo version 1.18.4) of 2025-06-17 built on host
Windowing system distributor 'The X.Org Foundation', version 11.0.12101016
System Description: Debian GNU/Linux 13 (trixie)

Configured using:
 'configure --prefix=$HOME/.local/share/emacs
 --without-compress-install --with-tree-sitter --with-native-compilation
 --with-dbus --without-selinux --without-threads --disable-gc-mark-trace
 --without-gsettings --without-gpm --with-cairo --with-cairo-xcb
 --with-xinput2 --with-x-toolkit=gtk3 --without-toolkit-scroll-bars'

Configured features:
CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS HARFBUZZ JPEG LIBOTF LIBSYSTEMD
LIBXML2 MODULES NATIVE_COMP NOTIFY INOTIFY PDUMPER PNG RSVG SECCOMP
SOUND SQLITE3 TIFF TREE_SITTER WEBP X11 XDBE XIM XINERAMA XINPUT2 XPM
XRANDR GTK3 ZLIB

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: LIMPLE